import React from "react";
import { TableDataColumn } from "./table-column";
import type { TableClassNames } from "./table";
export type TableRowId = string | number | symbol;
export interface TableDataRow<DataItem = any> {
    id: TableRowId;
    data: DataItem;
    index?: number;
    className?: string;
    style?: React.CSSProperties;
    columns: TableDataColumn[];
    selected?: boolean;
    selectable?: boolean;
    onSelect?(row: TableDataRow<DataItem>, evt: React.MouseEvent): void;
}
export interface TableRowProps extends TableDataRow {
    classes?: TableClassNames;
    elemRef?: React.Ref<HTMLDivElement>;
}
export declare function TableRow(rowProps: TableRowProps): JSX.Element;
