import { CreatedTableState, StorableCreateTableState } from "./table-state";
export interface ImportStateParams<DataItem> {
    tableState: CreatedTableState<DataItem>;
    storedState?: StorableCreateTableState<DataItem>;
}
export declare function importState<DataItem>({ tableState, storedState }: ImportStateParams<DataItem>): void;
export declare function exportState<DataItem>(state: CreatedTableState<DataItem>): {
    searchText: string;
    hiddenColumns: string[];
    sortedColumns: [string, "asc" | "desc"][];
    columnsOrder: string[];
    columnsSizes: [string, string][];
};
export interface PersistTableStateParams<DataItem = any> {
    tableState: CreatedTableState<DataItem>;
    savingDelayMs?: number;
    fromStorage(tableId: string): Promise<StorableCreateTableState<DataItem>>;
    toStorage(tableId: string, state: StorableCreateTableState<DataItem>): Promise<void>;
}
export declare function persistTableState<DataItem>({ tableState, fromStorage, toStorage, savingDelayMs }: PersistTableStateParams<DataItem>): Promise<import("mobx").IReactionDisposer>;
