import React from "react";
import type { TableDataRow } from "./index";
export interface VirtualizationOptions<DataItem = any> {
    parentElemRef: React.RefObject<HTMLElement>;
    rows: TableDataRow[];
    /**
     * Grid row size
     * @default 50
     */
    rowSize: number;
    /**
     * Extra visible items count, besides calculated from viewport size
     * @default 10
     */
    overscan?: number;
    /**
     * Allows to turn off virtualization
     */
    enabled?: boolean;
}
export interface VirtualizedRow<DataItem = any> extends TableDataRow<DataItem> {
    size?: number;
}
export type VirtualizedState = ReturnType<typeof useVirtualization>;
export declare function useVirtualization<D>(options: VirtualizationOptions<D>): {
    virtualRows: VirtualizedRow<any>[];
    scrollPos: number;
    maxScrollHeight: number;
    viewportSize: number;
    visibleRowsCount: number;
    scrolledRowsCount: number;
};
